<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();


			$almacen_ccosto = $ges->get_almacen_ccosto();
			$trabajadores = $ges2->get_trabajadores();
			$productos = $ges->get_productos_caja_chica(); 
			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/asignacion_almacen.phtml");
				
			}

			if(isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				if( !empty($_POST['sku_ps'][0]) || $_POST['sku_ps'][0] != '' || isset($_POST['sku_ps'][0])){

					$resultado = $ges->set_requerimiento( explode(" - ", $_POST['almacen'])[0],0,2); // REQUERIMIENTO DE ALMACEN

				}

				$i = 0;

				foreach ($_POST['sku_ps'] as $val){

					$z = 0;

					if( !empty($_POST['sku_ps'][$i]) || $_POST['sku_ps'][$i] != '' || isset($_POST['sku_ps'][$i])){

						$found_key="";
						
						if($_POST['bio_ps'][$i] == 1){
							$found_key = array_search($_POST['sku_ps'][$i], array_column($productos, 'sku'));
						}else{
							$found_key = array_search($_POST['sku_ps'][$i], array_column($productos, 'sku_cliente'));
						}
						
						$id_producto = $productos[$found_key]['id_producto_servicio'];

						if($productos[$found_key]['sku_cliente'] == $_POST['sku_ps'][$i]){

							if(intval($_POST['cantidad_ps'][$i]) < 1){

								$_POST['cantidad_ps'][$i] = 1;
								
								
							}
							$z++;

						$resultado_final = $ges->set_requerimiento_detalle_almacen($resultado['id_requerimiento_almacen'],$id_producto,intval($_POST['cantidad_ps'][$i]),explode(" - ", $_POST['almacen'])[0],0,$_POST['precio_u'][$i]);
						// echo '<script type="text/javascript">alert("'.$resultado_final.'");</script>';
						}

						if($z == 0){

							if($productos[$found_key]['sku'] == $_POST['sku_ps'][$i]){

								if(intval($_POST['cantidad_ps'][$i]) < 1){
	
									$_POST['cantidad_ps'][$i] = 1;
									
								}
							
							$resultado_final = $ges->set_requerimiento_detalle_almacen($resultado['id_requerimiento_almacen'],$id_producto,intval($_POST['cantidad_ps'][$i]),explode(" - ", $_POST['almacen'])[0],0,$_POST['precio_u'][$i]);
							// echo '<script type="text/javascript">alert("'.$resultado_final.'");</script>';
							}

						}

						
						

						$i = $i + 1;

					}

				}

				if($i > 0){
				
				echo '<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="asignacion_almacen.php";</script>';

				}else{

					echo '<script type="text/javascript">alert("ERROR: NO HA AGREGADO ALGÚN PRODUCTO EN SU SOLICITUD");window.location.href="asignacion_almacen.php";</script>';

				}
				
			}


?>